/**
 * Freqtrade API
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 2021.12-dev21
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 *
 */

import ApiClient from '../ApiClient';

/**
 * The DeleteTrade model module.
 * @module model/DeleteTrade
 * @version 2021.12-dev21
 */
class DeleteTrade {
    /**
     * Constructs a new <code>DeleteTrade</code>.
     * @alias module:model/DeleteTrade
     * @param cancelOrderCount {Number} 
     * @param result {String} 
     * @param resultMsg {String} 
     * @param tradeId {Number} 
     */
    constructor(cancelOrderCount, result, resultMsg, tradeId) { 
        
        DeleteTrade.initialize(this, cancelOrderCount, result, resultMsg, tradeId);
    }

    /**
     * Initializes the fields of this object.
     * This method is used by the constructors of any subclasses, in order to implement multiple inheritance (mix-ins).
     * Only for internal use.
     */
    static initialize(obj, cancelOrderCount, result, resultMsg, tradeId) { 
        obj['cancel_order_count'] = cancelOrderCount;
        obj['result'] = result;
        obj['result_msg'] = resultMsg;
        obj['trade_id'] = tradeId;
    }

    /**
     * Constructs a <code>DeleteTrade</code> from a plain JavaScript object, optionally creating a new instance.
     * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
     * @param {Object} data The plain JavaScript object bearing properties of interest.
     * @param {module:model/DeleteTrade} obj Optional instance to populate.
     * @return {module:model/DeleteTrade} The populated <code>DeleteTrade</code> instance.
     */
    static constructFromObject(data, obj) {
        if (data) {
            obj = obj || new DeleteTrade();

            if (data.hasOwnProperty('cancel_order_count')) {
                obj['cancel_order_count'] = ApiClient.convertToType(data['cancel_order_count'], 'Number');
            }
            if (data.hasOwnProperty('result')) {
                obj['result'] = ApiClient.convertToType(data['result'], 'String');
            }
            if (data.hasOwnProperty('result_msg')) {
                obj['result_msg'] = ApiClient.convertToType(data['result_msg'], 'String');
            }
            if (data.hasOwnProperty('trade_id')) {
                obj['trade_id'] = ApiClient.convertToType(data['trade_id'], 'Number');
            }
        }
        return obj;
    }


}

/**
 * @member {Number} cancel_order_count
 */
DeleteTrade.prototype['cancel_order_count'] = undefined;

/**
 * @member {String} result
 */
DeleteTrade.prototype['result'] = undefined;

/**
 * @member {String} result_msg
 */
DeleteTrade.prototype['result_msg'] = undefined;

/**
 * @member {Number} trade_id
 */
DeleteTrade.prototype['trade_id'] = undefined;






export default DeleteTrade;

